#if !defined(AFX_VIEWWND3D_H__7C24D343_5DCE_11D2_8408_00A0C933BCAC__INCLUDED_)
#define AFX_VIEWWND3D_H__7C24D343_5DCE_11D2_8408_00A0C933BCAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ViewWnd3D.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// ViewWnd3D frame

class ViewWnd3D : public CFrameWnd
{
	DECLARE_DYNCREATE(ViewWnd3D)
protected:
	
	// Attributes
public:
	ViewWnd3D();           // protected constructor used by dynamic creation
	bool GOSInit,GOSActive;
		virtual ~ViewWnd3D();

	// Operations
public:
	void PreGosCleanUp();
	void UpdateMenu();
	void Fix3DView();
	BOOL PreTranslateMessage( MSG* pMsg );


	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ViewWnd3D)
protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL
	
	// Implementation
protected:
	
	// Generated message map functions
	//{{AFX_MSG(ViewWnd3D)
	afx_msg void OnClose();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIEWWND3D_H__7C24D343_5DCE_11D2_8408_00A0C933BCAC__INCLUDED_)
